<?php
/**
 * @package    gradingform_kica
 * @category   NED
 * @copyright  2023 NED {@link http://ned.ca}
 * @author     NED {@link http://ned.ca}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace gradingform_kica;

defined('MOODLE_INTERNAL') || die();

global $CFG;
require_once("$CFG->libdir/excellib.class.php");

class excel_workbook extends \MoodleExcelWorkbook {
    /**
     * Create one Moodle Worksheet
     *
     * @param string $name Name of the sheet
     * @return excel_worksheet
     */
    public function add_worksheet($name = '') {
        return new excel_worksheet($name, $this->objspreadsheet);
    }
}